real FUNCTION distM(z1,z2)
! Distance between points z1 and z2 in the CV space
use ftsmod

implicit none
! input variables
real z1(ncv), z2(ncv)
! real, dimension(:), intent(inout) :: z1, z2
! local variables
integer i
real tmp(ncv), tmp2(ncv)

do i = 1, ncv
  tmp(i) = z1(i) - z2(i)
enddo

tmp2 = matmul(Mminv,tmp)

distM = 0.0
do i = 1, ncv
  distM = distM + tmp(i)*tmp2(i)
enddo
distM = sqrt(distM)

END FUNCTION distM
