subroutine error (routine, message, errortype)

!.....error - proper handling of error messages.

use             errormod
implicit none

character*(*)       routine, message
integer             errortype

if (errortype.eq.faterr) then
   write (luwrite,100) 'fatal error', routine, message
   stop 1
else if (errortype.eq.warning) then
   write (luwrite,100) 'warning', routine, message
else if (errortype.eq.noerr) then
   write (luwrite,100) 'no error', routine, message
else
   write (luwrite,100) 'unknown type of error', routine, message
endif

100 format (/1x,'*** '/1x,'*** ',a,' at ',a,' :'/1x,'*** ',a/1x,'***')

end
