SUBROUTINE gimages(k)
! Generate images for the initial string
use ftsmod

implicit none
integer k
! local variables
integer i, j
real cte

! ** Generate rest of initial images
cte = 1.0/(mig-1.0)
if (k==1) then ! FTSM order
  do i = 2, mig-1
    do j = 1, ncv
      rho(j,i) = rho(j,1) + (i-1)*(rho(j,mig)-rho(j,1))*cte
    enddo
  enddo
  ! ** Initial replicas
  do i = 1, mig
    do j = 1, ncv
      zrep(j,i) = rho(j,i)
    enddo
  enddo
else ! k=2, STRM order
  do i = 2, mig-1
    do j = 1, ncv
      zrep(j,i) = zrep(j,1) + (i-1)*(zrep(j,mig)-zrep(j,1))*cte
    enddo
  enddo
endif

return
END SUBROUTINE gimages
