subroutine lualloc(u)
!
!.....lualloc - allocate a unique logical*1 unit number for i/o.
!
!     The unit number is returned through lualloc and u simultaneously.
!
use  ioxmod
use  errormod
implicit none
integer          u

!
!.....skip allocated units
!
u = 1
do while (u.le.maxopen.and.alloc(u)) 
  u = u + 1
enddo

if (u.gt.maxopen) then 
  call error ('lualloc', 'exceded open file limit',faterr)
else
  alloc(u) = .true.
endif

return
end
