SUBROUTINE stmfe
! Algorithm for estimating the free energy along a given path
use ftsmod

implicit none
! local variables
integer i
real pmf
real imig
character :: wrtline*2048

write(wrtline,*) '# reaction coordinate --- free energy [KJ/mole]'
write(ufe,'(a)') trim(adjustl(wrtline))
imig = 1.0/(mig-1.0)
do i = 1, mig
  write(wrtline,*) (i-1)*imig,pmf(i,2)
  write(ufe,'(a)') trim(adjustl(wrtline))
enddo

return
END SUBROUTINE stmfe
